> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/data-types/projectnotification-object.md).

# ProjectNotification Object

## Description

Configured notification for a project.

## Properties

### amazonSnsSettings

Email settings for the notification. Required when `notificationMethod` is `amazon-sns`.

Type: [ProjectNotificationAmazonSnsSettings](/data-types/projectnotificationamazonsnssettings-object.md) object

Required: Conditional

### createdDate

Date, in ISO 8601 format, at which the notification was created.

Type: `string`

### emailSettings

Email settings for the notification. Required when `notificationMethod` is `email`.

Type: [ProjectNotificationEmailSettings](/data-types/projectnotificationemailsettings-object.md) object

Required: Conditional

### lastModifiedDate

Date, in ISO 8601 format, at which the notification was last modified.

Type: `string`

### lastModifiedBy

User that last modified the notification details (method, level, etc.)

Type: `string`

### notificationId

Unique ID of the project notification.

Type: `string`

### notificationLevel

Level of notification.

Type: `string`

Allowed Values:

* `all`
* `errors-only`

Required: Yes

### notificationMethod

Method of notification.

Type: `string`

Allowed Values:

* `email`
* `slack`
* `amazon-sns`

Required: Yes

### slackSettings

Slack settings for the notification. Required when `notificationMethod` is `slack`.

Type: [ProjectNotificationSlackSettings](/data-types/projectnotificationslacksettings-object.md) object

Required: Conditional

## Sample JSON

```javascript
{
    "notificationId": "pn-12345678",
    "createdDate": "2023-01-29T00:00:00Z",
    "lastModifiedDate": "2023-01-29T00:00:00Z",
    "lastModifiedBy": "u-12345678",
    
    "notificationLevel": "errors-only",    
    "notificationMethod": "email",
    "emailSettings": {
        "emailAddresses" [
            "user1@example.com"
        ]
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/projectnotification-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
